#ifndef GSCREDITS_H
#define GSCREDITS_H

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <Xtreme/XRenderer.h>

#include <GR\GameState\GUIGameState.h>

#include <Controls\OutputEvent.h>

#include <Interface/ICloneAble.h>

#include <Misc/CloneFactory.h>

#include "FallingMenu.h"



class CGSCredits : public GUIGameState<XRenderer>, public EventListener<GUI::OutputEvent>
{

  public:

    DECLARE_CLONEABLE( CGSCredits, "GSCredits" )


    FallingMenu             m_Menu;



    virtual void            Init();
    virtual void            Exit();


    virtual void            UpdatePerDisplayFrame( const float fElapsedTime );
    virtual void            Display( XRenderer& Viewer );
    virtual void            Update();

    virtual bool            ProcessEvent( const GUI::OutputEvent& Event );

};

#endif // GSCREDITS_H
